Swift programming - macbook required

  1. 2 years ago
    Edited 2 years ago by savvy

    Hello, our company is starting to enter into the exciting world of swift programming for iphone apps.
    As its a beginning, our budget is quiet low.

    Can you please suggest the cheapest model of mac laptops that will be required for installing software tools to develop iphone apps using swift language.
    Please can you also reply in terms of
    a) minimum RAM
    b) minimum Operating system version
    c) minimum processsor model
    d) harddisk size etc

    Many thanks in advance

    Savvy

  2. Any responses please ?
    Thanks

  3. last year

    niutech

    24 Mar 2016 Administrator

    Swift 2.2 requires Xcode 7.3, which works in OS X 10.11+. I would recommend at least 4GB RAM.

  4. 12 months ago

    I've a MacBook pro 2006 with 4gb ram and El Capitan running Xcode 8 beta and swift 3. So anything better than that would be perfect for swift.

or Sign Up to reply!